## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ConstructValueWithMemoryManager Struct Template Reference

`#include <XalanMemoryManagement.hpp>`

Collaboration diagram for ConstructValueWithMemoryManager:

[legend]
List of all members.

## Public Methods

- ConstructValueWithMemoryManager (MemoryManager &mgr)

## Public Attributes

- C value

### template<class C> struct ConstructValueWithMemoryManager

## Constructor & Destructor Documentation

template<class C>
ConstructValueWithMemoryManager<C>::ConstructValueWithMemoryManager<C> ( | MemoryManager & mgr )

## Member Data Documentation

template<class C>
C ConstructValueWithMemoryManager<C>::value

The documentation for this struct was generated from the following file:

- XalanMemoryManagement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.